% Creation d'un fichier avi
%   Teste avec MATLAB version 2018a
% Utilise la fonction : PlotPendule. 
% @FC
clear all
close all

FrameRate=30;Step=10;
T=5;       % temps final
N=T*FrameRate*Step;
L=3;R=0.2; % Parametres graphiques du pendule

% pour simuler la rotation : physiquement faux (sauf sans viscosite et en apenseteur!)
theta=@(t) pi*t;
t=0:T/N:T;

n=length(t);
figure(1);

VideoFile='VideoTest.avi';

% 
writerObj = VideoWriter(VideoFile,'Motion JPEG AVI');
set(writerObj,'FrameRate',FrameRate);
open(writerObj);

for j=1:Step:n
  cla
  PlotPendule(L,R,theta(t(j)));
  title(sprintf('\\theta(%f)=%f',t(j),theta(t(j)) ))
  
  axis on
  drawnow
  writeVideo(writerObj,getframe(gcf));
end

close(writerObj);
fprintf('Video file created : %s\n',VideoFile)
