function PlotPendule(L,R,theta)
  % Representation d'un pendule compose d'une tige de longueur L 
  % et d'une masse representee par un disque de rayon R.
  % theta est la position angulaire du pendule.
  % @FC
  hold on
  % axe de rotation
  plot(0,0,'ro')

  % extremite de la tige
  C=[L*cos(theta-pi/2);L*sin(theta-pi/2)];
  plot([0, C(1)],[0, C(2)],'r')

  % Representation de la masse 
  t=0:pi/100:2*pi;
  % Coordonnee du cercle
  XC=C(1)+R*cos(t);
  YC=C(2)+R*sin(t);
  fill(XC,YC,'r');
  LL=L+2*R;
  axis equal
  axis([-LL LL -LL LL])
  axis off
  hold off
end
